import { UUICardElement } from '@umbraco-ui/uui-card/lib';
export type BlockTypeIcon = {
    name?: string;
    color?: string;
};
/**
 * @element uui-card-block-type
 * @slot - slot for the default content area
 * @slot tag - slot for the tag with support for `<uui-tag>` elements
 * @slot actions - slot for the actions with support for the `<uui-action-bar>` element
 */
export declare class UUICardBlockTypeElement extends UUICardElement {
    #private;
    /**
     * Block type name
     * @type {string}
     * @attr name
     * @default ''
     */
    name: string;
    /**
     * Block type description
     * @type {string}
     * @attr description
     * @default undefined
     */
    description?: string;
    get background(): string | undefined;
    set background(value: string | undefined);
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card-block-type': UUICardBlockTypeElement;
    }
}
